From 50e92735b202f0484685a14313a495f69a75629b Mon Sep 17 00:00:00 2001
From: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date: Thu, 4 Jul 2019 23:34:59 +0200
Subject: [PATCH 4/4] xfce4-panel: Add drop-target style

---
 gtk-3.0/_xfce.scss        | 5 +++++
 gtk-3.0/gtk-contained.css | 4 ++++
 2 files changed, 9 insertions(+)

diff --git a/gtk-3.0/_xfce.scss b/gtk-3.0/_xfce.scss
index 21719c6..cc3475d 100644
--- a/gtk-3.0/_xfce.scss
+++ b/gtk-3.0/_xfce.scss
@@ -45,6 +45,11 @@ $variant: 'light';
                         inset 0 1px gtkalpha(white, 0.15);
             transition: none;
         }
+        &:drop(active) {
+          color: $drop_target_color;
+          border-color: $drop_target_color;
+          box-shadow: inset 0 0 0 1px $drop_target_color;
+        }
     }
     entry { caret-color: $text_color; }
     menu {
diff --git a/gtk-3.0/gtk-contained.css b/gtk-3.0/gtk-contained.css
index 4349111..05c1958 100644
--- a/gtk-3.0/gtk-contained.css
+++ b/gtk-3.0/gtk-contained.css
@@ -4586,6 +4586,10 @@ read if you used those and something break with a version upgrade you're on your
       color: #fcfcfc;
       box-shadow: inset 0 -1px alpha(white,0), inset 1px 0 alpha(white,0.15), inset -1px 0 alpha(white,0.15), inset 0 1px alpha(white,0.15);
       transition: none; }
+    .xfce4-panel.background button:drop(active) {
+      color: #4e9a06;
+      border-color: #4e9a06;
+      box-shadow: inset 0 0 0 1px #4e9a06; }
   .xfce4-panel.background entry {
     caret-color: #212121; }
   .xfce4-panel.background menu {
-- 
2.22.0

